Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Class _UserTransactionServer_Stub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub
                  com.atomikos.icatch.jta._UserTransactionServer_Stub

All Implemented Interfaces:
  UserTransactionServer, Serializable, Remote, Object

    public class _UserTransactionServer_Stub

extends Stub
implements UserTransactionServer

See Also:
  Serialized Form

Constructor Summary
`_UserTransactionServer_Stub()`

Method Summary
`String[]` | `_ids()`
`String` | `begin(int arg0)` Create a new transaction.
`void` | `commit(String arg0)` Commit the transaction.
`int` | `getStatus(String arg0)` Get the status of the transaction.
`void` | `rollback(String arg0)` Rollback the transaction.
`void` | `setRollbackOnly(String arg0)` Mark the transaction for rollback only.

Methods inherited from class javax.rmi.CORBA.Stub
`connect, equals, hashCode, toString`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _UserTransactionServer_Stub

    public _UserTransactionServer_Stub()

Method Detail

### _ids

    public String[] _ids()

  Specified by:
    `_ids` in class `ObjectImpl`

### begin

    public String begin(int arg0)
                 throws RemoteException,
                        SystemException,
                        NotSupportedException

  Description copied from interface: `UserTransactionServer`
  Create a new transaction.

  Specified by:
    `begin` in interface `UserTransactionServer`
  Parameters:
    `arg0` - The timeout setting of the client UserTx.
  Returns:
    String The tid of the transaction.
  Throws:
    `RemoteException`
    `SystemException`
    `NotSupportedException`

### commit

    public void commit(String arg0)
                throws RemoteException,
                       RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SystemException

  Description copied from interface: `UserTransactionServer`
  Commit the transaction.

  Specified by:
    `commit` in interface `UserTransactionServer`
  Parameters:
    `arg0` - The tid of the tx to commit.
  Throws:
    `RemoteException`
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `SystemException`

### rollback

    public void rollback(String arg0)
                  throws RemoteException,
                         SystemException

  Description copied from interface: `UserTransactionServer`
  Rollback the transaction.

  Specified by:
    `rollback` in interface `UserTransactionServer`
  Parameters:
    `arg0` - The tid of the transaction to rollback.
  Throws:
    `RemoteException`
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly(String arg0)
                         throws RemoteException,
                                SystemException

  Description copied from interface: `UserTransactionServer`
  Mark the transaction for rollback only.

  Specified by:
    `setRollbackOnly` in interface `UserTransactionServer`
  Parameters:
    `arg0` - The tid of the transaction to mark.
  Throws:
    `RemoteException`
    `SystemException`

### getStatus

    public int getStatus(String arg0)
                  throws RemoteException,
                         SystemException

  Description copied from interface: `UserTransactionServer`
  Get the status of the transaction.

  Specified by:
    `getStatus` in interface `UserTransactionServer`
  Parameters:
    `arg0` - The tid.
  Returns:
    int The status, as defined in JTA.
  Throws:
    `RemoteException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.